﻿using System.Collections.Generic;
using Xamarin.Forms;

namespace CarouselTest
{
	public partial class CarouselTestPage : ContentPage
	{
		public CarouselTestPage()
		{
			InitializeComponent();
			this.BindingContext = new CarouselViewModel();
		}
	}
	public class CarouselModel
	{
		public CarouselModel(string imagestr)
		{
			Image = imagestr;
		}
		private string _image;

		public string Image
		{
			get { return _image; }
			set { _image = value; }
		}
	}
	public class CarouselViewModel
	{
		public CarouselViewModel()
		{
			ImageCollection.Add(new CarouselModel("image1.png"));
			ImageCollection.Add(new CarouselModel("image2.png"));
			ImageCollection.Add(new CarouselModel("image3.png"));
			ImageCollection.Add(new CarouselModel("image4.png"));
			ImageCollection.Add(new CarouselModel("image5.png"));
		}
		private List<CarouselModel> imageCollection = new List<CarouselModel>();
		public List<CarouselModel> ImageCollection
		{
			get { return imageCollection; }
			set { imageCollection = value; }
		}
	}
}
